import os
from . import boardtype
from . import sysfs


def test_panel_brightness():
    "Check if panel brighness range"
    path = "/sys/class/backlight/backlight-dsi"
    upper = 228 if boardtype.is_librem5() else 100
    mb_path = os.path.join(path, 'max_brightness')

    sysfs.check_content_in_glob("{}\n".format(upper), mb_path)
    f = open(os.path.join(path, 'brightness'))
    assert int(f.read()) in range(0, upper + 1)
